@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@200;400;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Noto Sans', sans-serif;
}

body {
    background: #fff;
}

body p {
    margin-bottom: 0;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.center {
    text-align: center;
}

/* Botones generales */

.btn {
    border-radius: 29px;
    font-size: 15px;
    padding: 10px 30px;
    cursor: pointer;
    transition: 0.3s;
    text-decoration: none;
}
.btn:hover {
    transition: 0.3s;
}

.btn-regresar{
    background-color: #031F30;
    border: 1px solid #081F2D;
    color: white;
}    
.btn-regresar:hover{ 
    background-color: white;
    color: #081F2D;
    border-color: #081F2D;
}

.btn-enviar {
    background-color: #3f9e22;
    border: 1px solid #327a1c;
    color: white;
}
.btn-enviar:hover {
    background-color: white;
    color: #3f9e22;
    border-color: #3f9e22;
}
.btn-agregar {
    background-color: #3f9e22;
    border: 1px solid #327a1c;
    color: white;
}
.btn-agregar:hover {
    background-color: white;
    color: #3f9e22;
    border-color: #3f9e22;
}
.btn-cargar {
    background-color: #E73244;
    border: 1px solid #aa1c2a;
    color: white;
}
.btn-cargar:hover {
    background-color: white;
    color: #E73244;
    border-color: #E73244;
}

.table-header-btns {
    width: 15%;
}
.cell-btns {
    padding: 1.5% 0%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
}
.btn-editar {
    background-color: #1967D2;
    border: 1px solid #12468f;
    color: white;

    border-radius: 29px;
    font-size: 12px;
    margin: 2% 2%;
    padding: 5px 15px;
    cursor: pointer;
    transition: 0.3s;
    text-decoration: none;
    text-align: center;
}
.btn-editar:hover {
    background-color: white;
    color: #1967D2;
    border-color: #1967D2;
}
.btn-eliminar {
    background-color: #c51111;
    border: 1px solid #8d1414;
    color: white;

    border-radius: 29px;
    font-size: 12px;
    padding: 5px 15px;
    cursor: pointer;
    transition: 0.3s;
    text-decoration: none;
    text-align: center;
}
.btn-eliminar:hover {
    background-color: white;
    color: #c51111;
    border-color: #c51111;
}

.h1-error {
    color: red;
}
.h1-success {
    color: #3f9e22;
}

/* GENERAL TABLE */
.sticky-header {
    position: sticky;
    top: 0;
    background: #fff;
    font-size: 14px;
}

.table-rows {
    font-size: 12px;
}

.overlay{
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 999;
    background: rgba(255,255,255,0.8) url("loader.gif") center no-repeat;
}

/* Turn off scrollbar when body element has the loading class */
body.loading{
    overflow: hidden;   
}
/* Make spinner image visible when body element has the loading class */
body.loading .overlay{
    display: block;
}

/* BOTON EXCEL DE DATATABLES */
.btn-group>.btn-group:not(:first-child), .btn-group>:not(.btn-check:first-child)+.btn {
    background-color: #3f9e22;
}